import React from 'react';
import { connect } from "react-redux";

import { showSidebar } from "../../actions/show-sidebar";

import LoginForm from '../../components/login-form/LoginForm';

export class Login extends React.Component {
    componentDidMount() {
        this.props.showSidebar()
    }

    componentWillUnmount() {
        this.props.showSidebar()
    }

    render() {
        return ( <LoginForm/> )
    }
};

export default connect(
    null,
    { showSidebar }
)(Login);